# adapted from https://jupyterhub.readthedocs.io/en/stable/reference/config-proxy.html

RewriteEngine On
RewriteCond %{HTTP:Connection} Upgrade [NC]
RewriteCond %{HTTP:Upgrade} websocket [NC]
RewriteRule /(.*) ws://{{ jupyter_service }}/$1 [P,L]

RewriteCond %{REQUEST_URI} !^/.well-known/acme-challenge/
RewriteCond %{REQUEST_URI} !^/server-status
RewriteRule /(.*) http://{{ jupyter_service }}/$1 [P,L]
